Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.engine
Class QCMFactory

    java.lang.Object
      |
      +--com.jxml.quick.QBase
            |
            +--com.jxml.quick.QFilterFactory
                  |
                  +--com.jxml.quick.QListFactory
                        |
                        +--com.jxml.quick.QSeqFactory
                              |
                              +--com.jxml.quick.engine.QCMFactory

Direct Known Subclasses:
  QCElementFactory, QCMSeqFactory

public abstract class QCMFactory
extends QSeqFactory

Inner classes inherited from class com.jxml.quick.QSeqFactory
`QSeqFactory.QSeq`

Inner classes inherited from class com.jxml.quick.QListFactory
`QListFactory.QList`

Inner classes inherited from class com.jxml.quick.QFilterFactory
`QFilterFactory.QFilter`

Field Summary
`QAccess` | `access`
`boolean` | `optional`
`boolean` | `repeating`

Fields inherited from class com.jxml.quick.QListFactory
`factories`

Fields inherited from class com.jxml.quick.QFilterFactory
`newContext`

Method Summary
`Object` | `instantiate(Class targetClass)`

Methods inherited from class com.jxml.quick.QSeqFactory
`newFilter`

Methods inherited from class com.jxml.quick.QListFactory
`addFactory, importFactories`

Methods inherited from class com.jxml.quick.QFilterFactory
`addToFactory, createContext, createFilter, initFF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repeating

    public boolean repeating

### optional

    public boolean optional

### access

    public QAccess access

Method Detail

### instantiate

    public Object instantiate(Class targetClass)
                       throws QE

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD